Bug 967568 - Review Request: mintmenu - Advanced Menu for the MATE Desktop
Review Request: mintmenu - Advanced Menu for the MATE Desktop
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Eduardo Echeverria
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-27 09:23 EDT by Wolfgang Ulbrich
Modified: 2014-11-29 05:44 EST (History)
3 users (show)

See Also:
Fixed In Version: mintmenu-5.4.9-6.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-11-29 05:44:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
echevemaster: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Wolfgang Ulbrich 2013-05-27 09:23:12 EDT
Spec URL: http://raveit65.fedorapeople.org/Mate/SPECS/mintmenu.spec
SRPM URL: http://raveit65.fedorapeople.org/Mate/SRPM/mintmenu-5.4.9-2.fc19.src.rpm
Description: An advanced "slab" style menu for Linux. MintMenu supports filtering,
favorites, auto-session, and many other features.  MintMenu can either be
added to your mate-panel or launched in its own window.
Fedora Account System Username: raveit65
Comment 1 Wolfgang Ulbrich 2013-05-27 10:35:49 EDT
New mock build.

* Mon May 27 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 5.4.9-3
- update mintmenu-new_recent_icon.patch
- remove mintmenu_terminal-icon.patch
- remove mintmenu_desktop-icon.patch

Spec URL: http://raveit65.fedorapeople.org/Mate/SPECS/mintmenu.spec
SRPM URL: http://raveit65.fedorapeople.org/Mate/SRPM/mintmenu-5.4.9-3.fc20.src.rpm
Comment 2 Eduardo Echeverria 2013-05-27 20:59:31 EDT
Hi @Wolfgang, there are some issues:

- The virtual provides of lang package aren't sane, since the subpackage not exist as such 
- Likewise with the Obsoletes
- Remove  %{name}-lang = %{version}-%{release} (for the same reasons)

- There are some missing Requires, according to my research:
* mozo (replacing alacarte)
* Gconf2
* mate-deskbar-applet (but can't find it in the packages database)

Please add comment explain the multiple licensing scenario.  https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#Multiple_Licensing_Scenarios 
I understand that the only file that is under MIT is "keybinding.py"

- the package doesn't contains a boilerplate of the license GPLv2+, ask to upstream for include it

Cheers
Comment 3 Wolfgang Ulbrich 2013-05-28 05:57:40 EDT
Thank you Eduardo for reviewing.
(In reply to Eduardo Echeverria from comment #2)
> Hi @Wolfgang, there are some issues:
> 
> - The virtual provides of lang package aren't sane, since the subpackage not
> exist as such 
> - Likewise with the Obsoletes
> - Remove  %{name}-lang = %{version}-%{release} (for the same reasons)
I will remove the unnecessary virtual provides, the obsoleting line i need to updating the package from my external additional repo.
Here the package contains a -lang subpackage.
The require i forgot to remove. 
> 
> - There are some missing Requires, according to my research:
> * mozo (replacing alacarte)
Thanks for you hint, i will do it.
> * Gconf2
Mintmenu is ported to gsettings, and dconf is called with mate-panel and other MATE packages.
> * mate-deskbar-applet (but can't find it in the packages database)
This was former needed for the keybindings to the superL key for opening the menu. Upstream has add a own libary for this.
https://github.com/linuxmint/mintmenu/commit/cab7f82899180e1bde54b5b51c0e355694c605e8
> 
> Please add comment explain the multiple licensing scenario. 
> https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/
> LicensingGuidelines#Multiple_Licensing_Scenarios 
> I understand that the only file that is under MIT is "keybinding.py"
Ok, i will do it.
> 
> - the package doesn't contains a boilerplate of the license GPLv2+, ask to
> upstream for include it
I'm not shure if i understand you correct (sorry my bad english), you mean a COPYING file. Shure i can open a issue report at github.
> 
> Cheers

cheers,
Wolfgang
Comment 4 Wolfgang Ulbrich 2013-05-28 06:05:08 EDT
my last open issue report for mintmenu.
https://github.com/linuxmint/mintmenu/issues/36
Comment 5 Wolfgang Ulbrich 2013-05-28 06:37:07 EDT
New mock build.

* Tue May 28 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 5.4.9-4
- add runtime require mate-menu-editor
- remove require -lang subpackage
- remove virtual provides -lang subpackage
- simplify rpm scriptlets
- add comment to license line

Spec URL: http://raveit65.fedorapeople.org/Mate/SPECS/mintmenu.spec
SRPM URL: http://raveit65.fedorapeople.org/Mate/SRPM/mintmenu-5.4.9-4.fc20.src.rpm
Comment 6 Eduardo Echeverria 2013-05-28 13:55:00 EDT
Hi Wolfgang,

===== MUST items =====
[!]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.

Please see https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Text

Please ask to upstream for include the text of the license (boilerplate), upstream only have to put on a branch on github, and you download it from there and put it in sourceX,

Only fix that and approve it
Comment 7 Wolfgang Ulbrich 2013-06-01 07:38:54 EDT
Hi Eduardo,
https://github.com/linuxmint/mintmenu/commit/e91b4774a5a247c957768e98266c1334319e7dfc
This is what i could deal with upstream, hope this is sufficiently for fedora.

New mock build.

* Sat Jun 01 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 5.4.9-5
- add runtime require python-xlib
- add valid license file

Spec URL: http://raveit65.fedorapeople.org/Mate/SPECS/mintmenu.spec
SRPM URL: http://raveit65.fedorapeople.org/Mate/SRPM/mintmenu-5.4.9-5.fc20.src.rpm
Comment 8 Eduardo Echeverria 2013-06-01 17:00:49 EDT
Hi Wolfgang:

mintmenu.noarch: E: explicit-lib-dependency python-xlib
this is a rpmlint false positive, rpmlint assumes all dependencies which contain the string "lib" are traditional library (with .so files inside)
packages and can be autodetected, it's no applicable in this case


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: glib-compile-schemas is run if required
     Note: gschema file(s) in mintmenu
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "MIT/X11 (BSD like)", "Unknown or generated". 17 files have unknown
     license. Detailed output of licensecheck in
     /home/makerpm/967568-mintmenu/licensecheck.txt
Contains header license of GPLv2, packager should contact to upstream to add the boilerplatre 
[x]: The spec file handles locales properly.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 40960 bytes in 3 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Python:
[-]: Python eggs must not download any dependencies during the build process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[!]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: mintmenu-5.4.9-5.fc20.noarch.rpm
mintmenu.noarch: E: explicit-lib-dependency python-xlib
mintmenu.noarch: W: obsolete-not-provided mintmenu-lang
mintmenu.noarch: W: no-manual-page-for-binary mintmenu
1 packages and 0 specfiles checked; 1 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint mintmenu
mintmenu.noarch: E: explicit-lib-dependency python-xlib
mintmenu.noarch: W: obsolete-not-provided mintmenu-lang
mintmenu.noarch: W: no-manual-page-for-binary mintmenu
1 packages and 0 specfiles checked; 1 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
mintmenu (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/env
    /usr/bin/python
    beesu
    mate-menu-editor
    mate-panel
    pygtk2
    pygtk2-libglade
    python
    python-configobj
    python-xlib
    pyxdg
    system-logos
    yumex



Provides
--------
mintmenu:
    mintmenu



Source checksums
----------------
http://packages.linuxmint.com/pool/main/m/mintmenu/mintmenu_5.4.9.tar.gz :
  CHECKSUM(SHA256) this package     : 5685f586e383f62f66b55d051b56475182061abc0bad3989c852a9544f74bdc7
  CHECKSUM(SHA256) upstream package : 5685f586e383f62f66b55d051b56475182061abc0bad3989c852a9544f74bdc7
http://packages.linuxmint.com/pool/main/m/mint-translations/mint-translations_2013.05.04.tar.gz :
  CHECKSUM(SHA256) this package     : 12bc72e094574624d8b45856e3dad5a6fd26ac0b1ad3cd40d8b6ec4b67f6231b
  CHECKSUM(SHA256) upstream package : 12bc72e094574624d8b45856e3dad5a6fd26ac0b1ad3cd40d8b6ec4b67f6231b

----------------

PACKAGE APPROVED

----------------
Comment 9 Wolfgang Ulbrich 2013-06-01 17:24:57 EDT
New Package SCM Request
=======================
Package Name: mintmenu
Short Description: Advanced Menu for the MATE Desktop
Owners: raveit65
Branches: f17 f18 f19
InitialCC:
Comment 10 Gwyn Ciesla 2013-06-03 06:26:22 EDT
Git done (by process-git-requests).
Comment 11 Fedora Update System 2013-06-03 11:27:19 EDT
mintmenu-5.4.9-6.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mintmenu-5.4.9-6.fc18
Comment 12 Fedora Update System 2013-06-03 11:27:30 EDT
mintmenu-5.4.9-6.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mintmenu-5.4.9-6.fc17
Comment 13 Fedora Update System 2013-06-03 11:27:41 EDT
mintmenu-5.4.9-6.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mintmenu-5.4.9-6.fc19
Comment 14 Fedora Update System 2013-06-04 22:26:39 EDT
mintmenu-5.4.9-6.fc19 has been pushed to the Fedora 19 testing repository.
Comment 15 Fedora Update System 2013-06-13 02:34:27 EDT
mintmenu-5.4.9-6.fc19 has been pushed to the Fedora 19 stable repository.
Comment 16 Fedora Update System 2013-06-13 22:25:41 EDT
mintmenu-5.4.9-6.fc17 has been pushed to the Fedora 17 stable repository.
Comment 17 Fedora Update System 2013-06-13 22:34:50 EDT
mintmenu-5.4.9-6.fc18 has been pushed to the Fedora 18 stable repository.
Comment 18 Wolfgang Ulbrich 2014-08-20 14:21:23 EDT
Package Change Request
======================
Package Name: mintmenu
New Branches: epel7
Owners: raveit65
Comment 19 Gwyn Ciesla 2014-08-21 07:50:34 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.